select
  an.numero
  , an.sexo
  , (select grausangue from sp_calculagrausangue(an.cdanimal)) as grau_sangue
  , an.dtnascimento as data_nascimento
  , an.dtentfazenda as data_entrada
  , pe.dtpeso as data_primeiro_peso
  , pe.peso as primeiro_peso
  , tp.descricao as tipo_primeiro_peso
  , segpe.dtpeso as data_segundo_peso
  , segpe.peso as segundo_peso
  , segtp.descricao as tipo_segundo_peso
from
  animal an
  join peso pe on pe.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = an.cdanimal and re.dtpeso >= an.dtentfazenda order by re.dtpeso asc)
  join tipopeso tp on tp.cdtipopeso = pe.cdtipopeso
  left join peso segpe on segpe.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe.cdanimal and re.dtpeso > pe.dtpeso order by re.dtpeso asc)
  join tipopeso segtp on segtp.cdtipopeso = segpe.cdtipopeso
where
--- INSIRA AQUI O PERODO DE ENTRADA DESEJADO. MANTENHA O FORMATO AAAA-MM-DD.
  an.dtentfazenda between '1900-01-01' and '2030-01-01'
